return {
  fields = {
    clock = {
      fields = {
        bench = {
          argsDisplay = "function[, ...]",
          description = "The time that a function takes within a processor. This function uses\n    ``clock.proc()``, therefore it calculates elapsed CPU time. Therefore it is\n    not useful for showing actual elapsed time.\n\n    :param function function: function or function reference\n    :param               ...: whatever values are required by the function.",
          detail = "Measure the time a function takes within a processor",
          type = "function"
        },
        clock = {
          description = "\n.. _clock-time:\n\n",
          type = "module"
        },
        monotonic = {
          argsDisplay = "",
          description = "The monotonic time. Derived from C function clock_gettime(CLOCK_MONOTONIC).\n    Monotonic time is similar to wall clock time but is not affected by changes\n    to or from daylight saving time, or by changes done by a user.\n    This is the best function to use with benchmarks that need to calculate\n    elapsed time.",
          detail = "Get the monotonic time in seconds",
          type = "function"
        },
        monotonic64 = {
          detail = "Get the monotonic time in nanoseconds",
          type = "function"
        },
        proc = {
          argsDisplay = "",
          description = "The processor time. Derived from C function\n    ``clock_gettime(CLOCK_PROCESS_CPUTIME_ID)``. This is the best function to\n    use with benchmarks that need to calculate how much time has been spent\n    within a CPU.",
          detail = "Get the processor time in seconds",
          type = "function"
        },
        proc64 = {
          detail = "Get the processor time in nanoseconds",
          type = "function"
        },
        realtime = {
          detail = "in seconds",
          type = "function"
        },
        realtime64 = {
          detail = "in nanoseconds",
          type = "function"
        },
        thread = {
          argsDisplay = "",
          description = "The thread time. Derived from C function\n    ``clock_gettime(CLOCK_THREAD_CPUTIME_ID)``. This is the best function to use\n    with benchmarks that need to calculate how much time has been spent within a\n    thread within a CPU.",
          detail = "Get the thread time in seconds",
          type = "function"
        },
        thread64 = {
          detail = "Get the thread time in nanoseconds",
          type = "function"
        },
        time = {
          argsDisplay = "",
          description = "The wall clock time. Derived from C function clock_gettime(CLOCK_REALTIME).\n    This is the best function for knowing what the official time is, as\n    determined by the system administrator.",
          detail = " Get the wall clock time in seconds",
          type = "function"
        },
        time64 = {
          detail = " Get the wall clock time in nanoseconds",
          type = "function"
        }
      },
      type = "table"
    }
  },
  type = "table"
}