return {
  fields = {
    console = {
      fields = {
        ac = {
          argsDisplay = "[true|false]",
          description = "Set the auto-completion flag. If auto-completion is `true`, and the user is\n   using Tarantool as a client or the user is using Tarantool via\n   ``console.connect()``, then hitting the TAB key may cause tarantool to\n   complete a word automatically. The default auto-completion value is `true`.\n\n.. _console-delimiter:\n\n.",
          detail = "Set the auto-completion flag",
          type = "function"
        },
        connect = {
          argsDisplay = "uri",
          description = "Connect to the instance at `URI`, change the prompt from\n    '``tarantool>``' to ':samp:`{uri}>`', and act henceforth as a client\n    until the user ends the session or types ``control-D``.\n\n    The console.connect function allows one Tarantool instance, in interactive\n    mode, to access another Tarantool instance. Subsequent requests will appear\n    to be handled locally, but in reality the requests are being sent to the\n    remote instance and the local instance is acting as a client. Once connection\n    is successful, the prompt will change and subsequent requests are sent to,\n    and executed on, the remote instance. Results are displayed on the local\n    instance. To return to local mode, enter ``control-D``.\n\n    If the Tarantool instance at :samp:`uri` requires authentication, the\n    connection might look something like:\n    ``console.connect('admin:secretpassword@distanthost.com:3301')``.\n\n    There are no restrictions on the types of requests that can be entered,\n    except those which are due to privilege restrictions -- by default the\n    login to the remote instance is done with user name = 'guest'. The remote\n    instance could allow for this by granting at least one privilege:\n    ``box.schema.user.grant('guest','execute','universe')``.",
          detail = "Connect to an instance",
          type = "function"
        },
        console = {
          description = "\n.. _console-connect:\n\n",
          type = "module"
        },
        delimiter = {
          argsDisplay = "marker",
          description = "Set a custom end-of-request marker for Tarantool console.\n\n   The default end-of-request marker is a newline (line feed).\n   Custom markers are not necessary because Tarantool can tell when a multi-line\n   request has not ended (for example, if it sees that a function declaration\n   does not have an end keyword). Nonetheless for special needs, or for\n   entering multi-line requests in older Tarantool versions, you can change the\n   end-of-request marker. As a result, newline alone is not treated as\n   end of request.\n\n   To go back to normal mode, say: ``console.delimiter('')<marker>``",
          detail = "Set a delimiter",
          type = "function"
        },
        listen = {
          argsDisplay = "uri",
          description = "Listen on `URI`. The primary way of listening for incoming\n    requests is via the connection-information string, or URI, specified in\n    ``box.cfg{listen=...}``. The alternative way of listening is via the URI\n    specified in ``console.listen(...)``. This alternative way is called\n    \"administrative\" or simply `\"admin port\"`.\n    The listening is usually over a local host with a Unix domain socket.",
          detail = "Listen for incoming requests",
          type = "function"
        },
        start = {
          argsDisplay = "",
          description = "Start the console on the current interactive terminal.\n\n    **Example:**\n\n    A special use of ``console.start()`` is with `initialization files\n   `. Normally, if one starts the Tarantool instance with\n    :samp:`tarantool {initialization file}` there is no console. This can be\n    remedied by adding these lines at the end of the initialization file:\n\n    ```lua\n        local console = require('console')\n        console.start()\n```\n\n.. _console-ac:\n\n.",
          detail = "Start the console",
          type = "function"
        }
      },
      type = "table"
    }
  },
  type = "table"
}