return {
  fields = {
    errno = {
      fields = {
        [")"] = {
          detail = "Get an error number for the last OS-related function",
          type = "function"
        },
        errno = {
          description = "\n===============================================================================\n                                   Overview\n===============================================================================\n\nThe ``errno`` module is typically used\nwithin a function or within a Lua program, in association with a module whose\nfunctions can return operating-system errors, such as `fio`.\n\n===============================================================================\n                                    Index\n===============================================================================\n\nBelow is a list of all ``errno`` functions.\n\n.. container:: table\n\n    .. rst-class:: left-align-column-1\n    .. rst-class:: left-align-column-2\n\n    +--------------------------------------+---------------------------------+\n    | Name                                 | Use                             |\n    +======================================+=================================+\n    | `errno()                        | Get an error number for the     |\n    |`                       | last OS-related function        |\n    +--------------------------------------+---------------------------------+\n    | `errno.strerror()               | Get an error message for the    |\n    |`                    | corresponding error number      |\n    +--------------------------------------+---------------------------------+\n\n.. _errno-errno:\n\n.. operator:: errno()\n\n    Return an error number for the last operating-system-related function, or 0.\n    To invoke it, simply say ``errno()``, without the module name.\n\n    :rtype: integer\n\n.. _errno-strerror:\n\n",
          type = "module"
        },
        strerror = {
          argsDisplay = "[code]",
          description = "Return a string, given an error number. The string will contain the\n    text of the conventional error message for the current operating system.\n    If ``code`` is not supplied, the error message will be for the last\n    operating-system-related function, or 0.\n\n    :param integer code: number of an operating-system error",
          detail = "Get an error message for the corresponding error number",
          type = "function"
        }
      },
      type = "table"
    }
  },
  type = "table"
}