return {
  fields = {
    fio = {
      fields = {
        abspath = {
          argsDisplay = "file-name",
          description = "Given a final part (the file name), return the full path name.\n\n    :param string file-name: file name",
          detail = "Get a directory and file name",
          type = "function"
        },
        basename = {
          argsDisplay = "path-name[, suffix]",
          description = "Given a full path name, remove all but the final part (the file name).\n    Also remove the suffix, if it is passed.\n\n    :param string path-name: path name\n    :param string suffix: suffix",
          detail = "Get a file name",
          type = "function"
        },
        c = {
          detail = "Table of constants similar to POSIX flag values",
          type = "function"
        },
        chdir = {
          argsDisplay = "path-name",
          description = "Change working directory. For details type\n    ``man 2 chdir``.",
          detail = "Change working directory",
          type = "function"
        },
        chmod = {
          detail = "of file objects",
          type = "function"
        },
        chown = {
          argsDisplay = "path-name, new-rights",
          description = "Manage the rights to file objects, or ownership of file objects.\n    For details type ``man 2 chown`` or ``man 2 chmod``.",
          detail = " Manage rights to and ownership of file objects",
          type = "function"
        },
        copyfile = {
          argsDisplay = "path-name, new-path-name",
          description = "Copy a file. The effect is similar to the effect\n    that one gets with the ``cp`` command.\n\n    :param string     path-name: path to original file.\n    :param string new-path-name: path to new file.",
          detail = "Copy a file",
          type = "function"
        },
        copytree = {
          argsDisplay = "from-path, to-path",
          description = "Copy everything in the from-path, including subdirectory\n    contents, to the to-path. The result is similar to the\n    result that one gets from the ``cp -r`` command.\n    The to-path should be empty.",
          detail = " Create and delete directories",
          type = "function"
        },
        cwd = {
          argsDisplay = "",
          description = "Return the name of the current working directory.\n\n    **Example:**\n\n    ```lua\n        tarantool> fio.cwd()\n        ---\n        - /home/username/tarantool_sandbox\n        ...\n```\n\n.. _fio-copytree:\n\n.",
          detail = "Get the name of the current working directory",
          type = "function"
        },
        dirname = {
          argsDisplay = "path-name",
          description = "Given a full path name, remove the final part (the file name).\n\n    :param string path-name: path name",
          detail = "Get a directory name",
          type = "function"
        },
        file = {
          detail = "open file are written to disk",
          type = "function"
        },
        fio = {
          description = "\n.. _fio-pathname:\n\n===============================================================================\n         Common pathname manipulations\n===============================================================================\n\n.. _fio-pathjoin:\n\n",
          type = "module"
        },
        glob = {
          argsDisplay = "path-name",
          description = "Return a list of files that match an input string. The list is constructed\n    with a single flag that controls the behavior of the function:\n    ``GLOB_NOESCAPE``. For details type ``man 3 glob``.",
          detail = "Get files whose names match a given string",
          type = "function"
        },
        link = {
          argsDisplay = "src",
          description = "Functions to create and delete links. For details type ``man readlink``,\n    ``man 2 link``, ``man 2 symlink``, ``man 2 unlink``.\n\n    :param string src: existing file name.\n    :param string dst: linked name.",
          detail = " Create and delete links",
          type = "function"
        },
        listdir = {
          argsDisplay = "path-name",
          description = "List files in directory. The result is similar to the\n    result from the ``ls`` command.",
          detail = "List files in a directory",
          type = "function"
        },
        lstat = {
          argsDisplay = "path-name",
          description = "Returns information about a file object. For details type ``man 2 lstat`` or\n    ``man 2 stat``.",
          detail = " Get information about a file object",
          type = "function"
        },
        mkdir = {
          argsDisplay = "path-name",
          description = "Create or delete a directory. For details type\n    ``man 2 mkdir`` or ``man 2 rmdir``.",
          detail = " Create or delete a directory",
          type = "function"
        },
        mktree = {
          argsDisplay = "path-name",
          description = "Create the path, including subdirectories, but without\n    file contents. The result is similar to the\n    result that one gets from the ``mkdir`` command.",
          detail = " Create and delete directories",
          type = "function"
        },
        open = {
          argsDisplay = "path-name[, flags[, mode]]",
          description = "Open a file in preparation for reading or writing or seeking.\n\n    :param string path-name: Full path to the file to open.\n    :param number flags: Flags can be passed as a number or as string\n                         constants, for example '``O_RDONLY``',\n                         '``O_WRONLY``', '``O_RDWR``'. Flags can be\n                         combined by enclosing them in braces.\n                         On Linux the full set of flags\n                         as described on the\n                         `Linux man page <http://man7.org/linux/man-pages/man2/open.2.html>`_\n                         is:\n\n                         * O_APPEND (start at end of file),\n                         * O_ASYNC (signal when IO is possible),\n                         * O_CLOEXEC (enable a flag related to closing),\n                         * O_CREAT (create file if it doesn't exist),\n                         * O_DIRECT (do less caching or no caching),\n                         * O_DIRECTORY (fail if it's not a directory),\n                         * O_EXCL (fail if file cannot be created),\n                         * O_LARGEFILE (allow 64-bit file offsets),\n                         * O_NOATIME (no access-time updating),\n                         * O_NOCTTY (no console tty),\n                         * O_NOFOLLOW (no following symbolic links),\n                         * O_NONBLOCK (no blocking),\n                         * O_PATH (get a path for low-level use),\n                         * O_SYNC (force writing if it's possible),\n                         * O_TMPFILE (the file will be temporary and nameless),\n                         * O_TRUNC (truncate)\n\n                         ... and, always, one of:\n\n                         * O_RDONLY (read only),\n                         * O_WRONLY (write only), or\n                         * O_RDWR (either read or write).\n\n    :param number mode: Mode bits can be passed as a number or as string\n                        constants, for example ``S_IWUSR``. Mode bits\n                        are significant if flags include ``O_CREAT`` or\n                        ``O_TMPFILE``. Mode bits can be\n                        combined by enclosing them in braces.\n    :return: (If no error) file handle (abbreviated as 'fh' in later\n             description). |br|\n             (If error) two return values: null, error message.\n    :rtype:  userdata\n\n    **Possible errors:** nil.\n\n    **Example 1:**\n\n    ```lua\n        tarantool> fh = fio.open('/home/username/tmp.txt', {'O_RDWR', 'O_APPEND'})\n        ---\n        ...\n        tarantool> fh -- display file handle returned by fio.open\n        ---\n        - fh: 11\n        ...\n```\n\n    **Example 2:**\n\n    Using ``fio.open()`` with ``tonumber('N', 8)`` to set permissions\n    as an octal number:\n\n    ```lua\n        tarantool> fio.open('x.txt', {'O_WRONLY', 'O_CREAT'}, tonumber('644',8))\n        ---\n        - fh: 12\n        ...\n```\n\n.. class:: file-handle\n\n    .. _file_handle-close:\n\n    .. method:: close()\n\n        Close a file that was opened with ``fio.open``. For details type\n        ``man 2 close``.\n\n        :param userdata fh: file-handle as returned by ``fio.open()``.\n        :return: true if success, false if failure.\n        :rtype:  boolean\n\n        **Example:**\n\n        ```lua\n            tarantool> fh:close() -- where fh = file-handle\n            ---\n            - true\n            ...\n```\n\n    .. _file_handle-pread:\n\n    .. method:: pread(count, offset)\n                pread(buffer, count, offset)\n\n        Perform random-access read operation on a file, without affecting\n        the current seek position of the file.\n        For details type ``man 2 pread``.\n\n        :param userdata fh: file-handle as returned by ``fio.open()``.\n        :param buffer: where to read into (if the format is\n                       ``pread(buffer, count, offset)``)\n        :param number count: number of bytes to read\n        :param number offset: offset within file where reading begins\n\n        If the format is ``pread(count, offset)`` then return a string\n        containing the data that was read from the file, or nil if failure.\n\n        If the format is ``pread(buffer, count, offset)`` then return the data\n        to the buffer.\n        (Buffers can be acquired with `buffer.ibuf`.)\n\n        **Example:**\n\n        ```lua\n            tarantool> fh:pread(25, 25)\n            ---\n            - |\n              elete from t8//\n              insert in\n            ...\n```\n\n    .. _file_handle-pwrite:\n\n    .. method:: pwrite(new-string, offset)\n                pwrite(buffer, count, offset)\n\n        Perform random-access write operation on a file, without affecting\n        the current seek position of the file.\n        For details type ``man 2 pwrite``.\n\n        :param userdata fh: file-handle as returned by ``fio.open()``.\n        :param string new-string or buffer: value to write\n        :param number count: number of bytes to write (if the format is\n                             ``pwrite(buffer, count, offset)``)\n        :param number offset: offset within file where writing begins\n        :return: true if success, false if failure.\n        :rtype:  boolean\n\n        If the format is ``pwrite(new-string, offset)`` then the returned string\n        is written to the file, as far as the end of the string.\n\n        If the format is ``pwrite(buffer, count, offset)`` then the buffer\n        contents are written to the file, for ``count`` bytes.\n        (Buffers can be acquired with `buffer.ibuf`.)\n\n        ```lua\n            ibuf = require('buffer').ibuf()\n            ---\n            ...\n```\n\n            tarantool> fh:pwrite(ibuf, 1, 0)\n            ---\n            - true\n            ...\n\n    .. _file_handle-read:\n\n    .. method:: read([count])\n                read(buffer, count)\n\n        Perform non-random-access read on a file. For details type\n        ``man 2 read`` or ``man 2 write``.\n\n        .. NOTE::\n\n            ``fh:read`` and ``fh:write`` affect the seek position within the\n            file, and this must be taken into account when working on the same\n            file from multiple fibers. It is possible to limit or prevent file\n            access from other fibers with ``fiber.ipc``.\n\n        :param userdata fh: file-handle as returned by ``fio.open()``.\n        :param buffer: where to read into (if the format is\n                       ``read(buffer, count)``)\n        :param number count: number of bytes to read\n\n        If the format is ``read()`` -- omitting ``count`` -- then read all\n        bytes in the file.\n\n        If the format is ``read()``  or ``read([count])`` then return a string\n        containing the data that was read from the file, or nil if failure.\n\n        If the format is ``read(buffer, count)`` then return the data\n        to the buffer.\n        (Buffers can be acquired with `buffer.ibuf`.)\n\n        ```lua\n            ibuf = require('buffer').ibuf()\n            ---\n            ...\n```\n\n            tarantool> fh:read(ibuf:reserve(5), 5)\n            ---\n            - 5\n            ...\n\n            tarantool> require('ffi').string(ibuf:alloc(5),5)\n            ---\n            - abcde\n\n    .. _file_handle-write:\n\n    .. method:: write(new-string)\n                write(buffer, count)\n\n        Perform non-random-access write on a file. For details type\n        ``man 2 write``.\n\n        .. NOTE::\n\n            ``fh:read`` and ``fh:write`` affect the seek position within the\n            file, and this must be taken into account when working on the same\n            file from multiple fibers. It is possible to limit or prevent file\n            access from other fibers with ``fiber.ipc``.\n\n        :param userdata fh: file-handle as returned by ``fio.open()``.\n        :param string new-string or buffer: value to write\n        :param number count: number of bytes to write (if the format is\n                             ``write(buffer, count)``)\n        :return: true if success, false if failure.\n        :rtype:  boolean\n\n        If the format is ``write(new-string)`` then the returned string\n        is written to the file, as far as the end of the string.\n\n        If the format is ``write(buffer, count)`` then the buffer contents\n        are written to the file, for ``count`` bytes.\n        (Buffers can be acquired with `buffer.ibuf`.)\n\n        **Example:**\n\n        ```lua\n            tarantool> fh:write(\"new data\")\n            ---\n            - true\n            ...\n```\n\n    .. _file_handle-truncate:\n\n    .. method:: truncate(new-size)\n\n        Change the size of an open file. Differs from ``fio.truncate``, which\n        changes the size of a closed file.\n\n        :param userdata fh: file-handle as returned by ``fio.open()``.\n        :return: true if success, false if failure.\n        :rtype:  boolean\n\n        **Example:**\n\n        ```lua\n            tarantool> fh:truncate(0)\n            ---\n            - true\n            ...\n```\n\n    .. _file_handle-seek:\n\n    .. method:: seek(position [, offset-from])\n\n        Shift position in the file to the specified position. For details type\n        ``man 2 seek``.\n\n        :param userdata fh: file-handle as returned by ``fio.open()``.\n        :param number position: position to seek to\n        :param string offset-from: '``SEEK_END``' = end of file, '``SEEK_CUR``'\n                    = current position, '``SEEK_SET``' = start of file.\n        :return: the new position if success\n        :rtype:  number\n\n        **Possible errors:** nil.\n\n        **Example:**\n\n        ```lua\n            tarantool> fh:seek(20, 'SEEK_SET')\n            ---\n            - 20\n            ...\n```\n\n    .. _file_handle-stat:\n\n    .. method:: stat()\n\n        Return statistics about an open file. This differs from ``fio.stat``\n        which return statistics about a closed file. For details type\n        ``man 2 stat``.\n\n        :param userdata fh: file-handle as returned by ``fio.open()``.\n        :return: details about the file.\n        :rtype:  table\n\n        **Example:**\n\n        ```lua\n            tarantool> fh:stat()\n            ---\n            - inode: 729866\n              rdev: 0\n              size: 100\n              atime: 140942855\n              mode: 33261\n              mtime: 1409430660\n              nlink: 1\n              uid: 1000\n              blksize: 4096\n              gid: 1000\n              ctime: 1409430660\n              dev: 2049\n              blocks: 8\n            ...\n```\n\n    .. _file_handle-fsync:\n\n    .. method:: fsync()\n                fdatasync()\n\n        Ensure that file changes are written to disk, for an open file.\n        Compare ``fio.sync``, which is for all files. For details type\n        ``man 2 fsync`` or ``man 2 fdatasync``.",
          detail = "Open a file",
          type = "function"
        },
        ["path.exists"] = {
          argsDisplay = "path-name",
          description = ":param string path-name: path to directory or file.\n    :return: true if path-name refers to a directory or file that exists and is not a broken symbolic link; otherwise false\n    :rtype:  boolean\n\n.. _fio-path_is_dir:\n\n.",
          detail = "Check if file or directory exists",
          type = "function"
        },
        ["path.is_dir"] = {
          argsDisplay = "path-name",
          description = ":param string path-name: path to directory or file.\n    :return: true if path-name refers to a directory; otherwise false\n    :rtype:  boolean\n\n.. _fio-path_is_file:\n\n.",
          detail = "Check if file or directory is a directory",
          type = "function"
        },
        ["path.is_file"] = {
          argsDisplay = "path-name",
          description = ":param string path-name: path to directory or file.\n    :return: true if path-name refers to a file; otherwise false\n    :rtype:  boolean\n\n.. _fio-path_is_link:\n\n.",
          detail = "Check if file or directory is a file",
          type = "function"
        },
        ["path.is_link"] = {
          argsDisplay = "path-name",
          description = ":param string path-name: path to directory or file.\n    :return: true if path-name refers to a symbolic link; otherwise false\n    :rtype:  boolean\n\n.. _fio-path_lexists:\n\n.",
          detail = "Check if file or directory is a link",
          type = "function"
        },
        ["path.lexists"] = {
          argsDisplay = "path-name",
          description = ":param string path-name: path to directory or file.\n    :return: true if path-name refers to a directory or file that exists or is a broken symbolic link; otherwise false\n    :rtype:  boolean\n\n.. _fio-file:\n\n===============================================================================\n            Common file manipulations\n===============================================================================\n\n.. _fio-umask:\n\n.",
          detail = "Check if file or directory exists",
          type = "function"
        },
        pathjoin = {
          argsDisplay = "partial-string [, partial-string ...]",
          description = "Concatenate partial string, separated by '/' to form a path name.",
          detail = "Form a path name from one or more partial strings",
          type = "function"
        },
        readlink = {
          detail = "",
          type = "function"
        },
        rename = {
          argsDisplay = "path-name, new-path-name",
          description = "Rename a file or directory. For details type ``man 2 rename``.\n\n    :param string     path-name: original name.\n    :param string new-path-name: new name.",
          detail = "Rename a file or directory",
          type = "function"
        },
        rmdir = {
          detail = "",
          type = "function"
        },
        rmtree = {
          argsDisplay = "path-name",
          description = "Remove the directory indicated by path-name, including subdirectories.\n    The result is similar to the\n    result that one gets from the ``rmdir`` command, recursively.\n    The directory must be empty.",
          detail = "",
          type = "function"
        },
        stat = {
          detail = "object",
          type = "function"
        },
        symlink = {
          detail = " Create and delete links",
          type = "function"
        },
        sync = {
          argsDisplay = "",
          description = "Ensure that changes are written to disk. For details type ``man 2 sync``.",
          detail = "Ensure that changes are written to disk",
          type = "function"
        },
        tempdir = {
          argsDisplay = "",
          description = "Return the name of a directory that can be used to store temporary files.\n\n    **Example:**\n\n    ```lua\n         tarantool> fio.tempdir()\n         ---\n         - /tmp/lG31e7\n         ...\n```\n\n.. _fio-cwd:\n\n.",
          detail = "Get the name of a directory for storing temporary files",
          type = "function"
        },
        truncate = {
          argsDisplay = "path-name, new-size",
          description = "Reduce file size to a specified value. For details type ``man 2 truncate``.\n\n    :param string path-name:\n    :param number new-size:",
          detail = "Reduce the file size",
          type = "function"
        },
        umask = {
          argsDisplay = "mask-bits",
          description = "Set the mask bits used when creating files or directories. For a detailed\n    description type ``man 2 umask``.",
          detail = "Set mask bits",
          type = "function"
        },
        unlink = {
          detail = "",
          type = "function"
        }
      },
      type = "table"
    }
  },
  type = "table"
}