return {
  fields = {
    iconv = {
      fields = {
        converter = {
          argsDisplay = "input-string",
          description = "Convert.\n\n        :param string input-string: the string to be converted (the \"from\" string)",
          detail = "Perform conversion on a string",
          type = "function"
        },
        iconv = {
          description = "\n===============================================================================\n                                   Overview\n===============================================================================\n\nThe ``iconv`` module provides a way to convert a string with\none encoding to a string with another encoding, for example from ASCII\nto UTF-8. It is based on the POSIX iconv routines.\n\nAn exact list of the available encodings may depend on environment.\nTypically the list includes ASCII, BIG5, KOI8R, LATIN8, MS-GREEK, SJIS,\nand about 100 others. For a complete list, type ``iconv --list`` on a\nterminal.\n\n===============================================================================\n                                    Index\n===============================================================================\n\nBelow is a list of all ``iconv`` functions.\n\n.. container:: table\n\n    .. rst-class:: left-align-column-1\n    .. rst-class:: left-align-column-2\n\n    +--------------------------------------+---------------------------------+\n    | Name                                 | Use                             |\n    +======================================+=================================+\n    | `iconv.new()                    | Create an iconv instance        |\n    |`                         |                                 |\n    +--------------------------------------+---------------------------------+\n    | `iconv.converter()              | Perform conversion on a string  |\n    |`                   |                                 |\n    +--------------------------------------+---------------------------------+\n\n.. _iconv-new:\n\n",
          type = "module"
        },
        new = {
          argsDisplay = "to, from",
          description = "Construct a new iconv instance.\n\n    :param string to: the name of the encoding that we will convert to.\n    :param string from: the name of the encoding that we will convert from.",
          detail = "Create an iconv instance",
          type = "function"
        }
      },
      type = "table"
    }
  },
  type = "table"
}