return {
  fields = {
    strict = {
      fields = {
        strict = {
          description = "\nThe :code:`strict` module has functions for turning \"strict mode\" on or off.\nWhen strict mode is on, an attempt to use an undeclared global variable will\ncause an error. A global variable is considered \"undeclared\" if it has never\nhad a value assigned to it. Often this is an indication of a programming error.\n\nBy default strict mode is off, unless tarantool was built with the\n``-DCMAKE_BUILD_TYPE=Debug`` option -- see the description of build options\nin section `building-from-source`.\n\n**Example:**\n\n.. code-block:: tarantoolsession\n\n    tarantool> strict = require('strict')\n    ---\n    ...\n    tarantool> strict.on()\n    ---\n    ...\n    tarantool> a = b -- strict mode is on so this will cause an error\n    ---\n    - error: ... variable ''b'' is not declared'\n    ...\n    tarantool> strict.off()\n    ---\n    ...\n    tarantool> a = b -- strict mode is off so this will not cause an error\n    ---\n    ...",
          type = "module"
        }
      },
      type = "table"
    }
  },
  type = "table"
}