return {
  fields = {
    uri = {
      fields = {
        format = {
          argsDisplay = "URI-components-table[, include-password]",
          description = ":param URI-components-table: a series of name:value pairs, one for each\n                                 component\n    :param include-password: boolean. If this is supplied and is ``true``, then\n                             the password component is rendered in clear text,\n                             otherwise it is omitted.\n    :return: URI-string. Thus uri.format() is the reverse of uri.parse().\n    :rtype: string\n\n    **Example:**\n\n    ```lua\n        tarantool> uri.format({host = 'x.html', scheme = 'http', fragment = 'y'})\n        ---\n        - http://x.html#y\n        ...\n```\n\n.. _Universally unique identifier: https://en.wikipedia.org/wiki/Universally_unique_identifier\n.. _syscall: https://en.wikipedia.org/wiki/Syscall",
          detail = "Construct a URI from components",
          type = "function"
        },
        parse = {
          argsDisplay = "URI-string",
          description = ":param URI-string: a Uniform Resource Identifier\n    :return: URI-components-table. Possible components are fragment, host,\n             login, password, path, query, scheme, service.\n    :rtype: Table\n\n    **Example:**\n\n    ```lua\n        tarantool> uri = require('uri')\n        ---\n        ...\n```\n\n        tarantool> uri.parse('http://x.html#y')\n        ---\n        - host: x.html\n          scheme: http\n          fragment: y\n        ...\n\n.. _uri-format:\n\n.",
          detail = "Get a table of URI components",
          type = "function"
        },
        uri = {
          description = "\n.. _uri-parse:\n\n",
          type = "module"
        }
      },
      type = "table"
    }
  },
  type = "table"
}